xcb_xkb_set_device_info(3)

NAME
xcb_xkb_set_device_info -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_void_cookie_t xcb_xkb_set_device_info(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec, uint8_t firstBtn, uint8_t nBtns, uint16_t change, uint16_t nDeviceLedFBs, const xcb_xkb_action_t *btnActions, const xcb_xkb_device_led_info_t *leds);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

firstBtn
    TODO: NOT YET DOCUMENTED.

nBtns
    TODO: NOT YET DOCUMENTED.

change
    TODO: NOT YET DOCUMENTED.

nDeviceLedFBs
    TODO: NOT YET DOCUMENTED.

btnActions
    TODO: NOT YET DOCUMENTED.

leds
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xkb_set_device_info_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.